package request

type TaobaoShopUpdateRequest struct {
	/*
	   店铺标题。不超过30个字符；过滤敏感词，如淘咖啡、阿里巴巴等。title, bulletin和desc至少必须传一个     */
	Title *string `json:"title,omitempty" required:"false" `
	/*
	   店铺公告。不超过1024个字符     */
	Bulletin *string `json:"bulletin,omitempty" required:"false" `
	/*
	   店铺描述。10～2000个字符以内     */
	Desc *string `json:"desc,omitempty" required:"false" `
}

func (s *TaobaoShopUpdateRequest) SetTitle(v string) *TaobaoShopUpdateRequest {
	s.Title = &v
	return s
}
func (s *TaobaoShopUpdateRequest) SetBulletin(v string) *TaobaoShopUpdateRequest {
	s.Bulletin = &v
	return s
}
func (s *TaobaoShopUpdateRequest) SetDesc(v string) *TaobaoShopUpdateRequest {
	s.Desc = &v
	return s
}

func (req *TaobaoShopUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Title != nil {
		paramMap["title"] = *req.Title
	}
	if req.Bulletin != nil {
		paramMap["bulletin"] = *req.Bulletin
	}
	if req.Desc != nil {
		paramMap["desc"] = *req.Desc
	}
	return paramMap
}

func (req *TaobaoShopUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
